Asked 30+ days ago
22 Aug 2017
Views 141
duglus

duglus posted

Can't able to install cURL in Linux Mint

trying to install node.js by cURL


curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -


But getting error like cURL

The program 'curl' is currently not installed. You can install it by typing:
sudo apt-get install curl


So i tried to install cURL by following command

sudo apt-get install curl


and than got following error

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 atom : Depends: git
 curl : Depends: libcurl3 (= 7.35.0-1ubuntu2.10) but it is not going to be installed
 teamviewer:i386 : Depends: libjpeg62:i386 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).



so what to do now ?
duglus

duglus
answered Dec 17 '17 20:17

curl Depends on libcurl3
TeamViewer Depends on libjpeg62:i386 , so may be removing TeamViewer will help you .
Edit Answer
Share
Post Answer